import { createAction } from '@reduxjs/toolkit';
import { IChatsRes } from '../../../typescript/redux/chats/interfaces'
import { TChat } from '../../../typescript/redux/chats/types'

const actionGetChatsSuccess = createAction('getChats/success', (value:IChatsRes) => ({
  payload: value,
}));

const actionGetChatsReject = createAction('getChats/reject', () => ({
  payload: null,
}));

const selectCompanionSuccess = createAction('selectCompanion/success', (value:TChat) => ({
  payload: value,
}));


export {
  actionGetChatsSuccess,
  actionGetChatsReject,
  selectCompanionSuccess
};
