import { actionIsLoading } from '../../loading/action';
import {
  actionGetChatsSuccess,
  actionGetChatsReject,
  selectCompanionSuccess
} from '../action';
import { startChat,getChats} from '../../../api-data';
import { IChatsRes } from '../../../typescript/redux/chats/interfaces'
import { TChat } from '../../../typescript/redux/chats/types'

const asyncStartChat = (id:string) => async (dispatch:any) => {
  try {
    dispatch(actionIsLoading(true));
    const data = await startChat<TChat>(id)
    data&&dispatch(selectCompanionSuccess(data))
  } finally {
    dispatch(actionIsLoading(false));
  }
};

const asyncGetChats = () => async (dispatch:any) => {
  try {
    dispatch(actionIsLoading(true));
    const data = await getChats<IChatsRes>()
    data&&dispatch(actionGetChatsSuccess(data))
  } catch (e) {
    dispatch(actionGetChatsReject())
  } finally {
    dispatch(actionIsLoading(false));
  }
};

export { asyncStartChat,asyncGetChats };




